Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026280
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-04-15 09:492014-06-05 11:40
ReporterjecharriView Statuspublic 
Assigned Tomalsasua 
PriorityimmediateResolutionfixedFixed in VersionRR14Q3
StatusclosedFix in branchFixed in SCM revision8588d3b68d84
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToOrekaria
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026280: Some bluetooth bardcode reader does not work in IOS 7.1

DescriptionSome bluetooth bardcode reader does not work in IOS 7.1
Steps To Reproduce-configure to use external input
-go to Web POS and read a bardcode to insert a product

Verify that it does not work
TagsNo tags attached.
Attached Filesdiff file icon barcodeLogPosterminal.diff [^] (1,475 bytes) 2014-04-16 11:18 [Show Content]
diff file icon barcodeLogMobileCore.diff [^] (2,190 bytes) 2014-04-16 11:18 [Show Content]
diff file icon barcodeLogMobileCore2.diff [^] (1,808 bytes) 2014-04-16 11:19 [Show Content]
diff file icon barcodeLogMobileCore3.diff [^] (974 bytes) 2014-04-16 11:19 [Show Content]
diff file icon barcodeLogMobileCore4.diff [^] (1,078 bytes) 2014-04-16 11:19 [Show Content]
diff file icon barcodeLogMobileCore5.diff [^] (1,727 bytes) 2014-04-16 11:19 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0066482)
marvintm (developer)
2014-04-16 11:20

I've uploaded several patches which were sent to the customer, which finally seemed to fix the issue.

Most of them only add log, which should be changed to "debug" mode and also probably rephrased.

The fix itself should be carefully reviewed, to ensure that it doesn't interfere with other systems and that the solution is valid in iOS in all cases.
(0067556)
hgbot (developer)
2014-05-29 10:18

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: c1ab9bb0df9883433cfd0a0cb786148635857e97
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu May 29 10:18:22 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c1ab9bb0df9883433cfd0a0cb786148635857e97 [^]

fixed issue 26280: Some bluetooth bardcode reader does not work in IOS 7.1

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---
(0067558)
hgbot (developer)
2014-05-29 10:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8588d3b68d84b59c3f04cd0046fae67be041ce29
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu May 29 10:15:25 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8588d3b68d84b59c3f04cd0046fae67be041ce29 [^]

fixed issue 26280: Some bluetooth bardcode reader does not work in IOS 7.1

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
---
(0067697)
szapata (developer)
2014-06-03 05:31

Tested using a bluetooth keyboard for ipad.
It is Working in Safari but not in Chrome.
(0067778)
Orekaria (administrator)
2014-06-05 11:40

Tested in 71ac85d89457

- Issue History
Date Modified Username Field Change
2014-04-15 09:49 jecharri New Issue
2014-04-15 09:49 jecharri Assigned To => malsasua
2014-04-15 09:49 jecharri Triggers an Emergency Pack => No
2014-04-16 11:18 marvintm File Added: barcodeLogPosterminal.diff
2014-04-16 11:18 marvintm File Added: barcodeLogMobileCore.diff
2014-04-16 11:19 marvintm File Added: barcodeLogMobileCore2.diff
2014-04-16 11:19 marvintm File Added: barcodeLogMobileCore3.diff
2014-04-16 11:19 marvintm File Added: barcodeLogMobileCore4.diff
2014-04-16 11:19 marvintm File Added: barcodeLogMobileCore5.diff
2014-04-16 11:20 marvintm Note Added: 0066482
2014-05-29 10:18 hgbot Checkin
2014-05-29 10:18 hgbot Note Added: 0067556
2014-05-29 10:18 hgbot Status new => resolved
2014-05-29 10:18 hgbot Resolution open => fixed
2014-05-29 10:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c1ab9bb0df9883433cfd0a0cb786148635857e97 [^]
2014-05-29 10:19 hgbot Checkin
2014-05-29 10:19 hgbot Note Added: 0067558
2014-05-29 10:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c1ab9bb0df9883433cfd0a0cb786148635857e97 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8588d3b68d84b59c3f04cd0046fae67be041ce29 [^]
2014-06-03 05:31 szapata Note Added: 0067697
2014-06-05 11:40 Orekaria Review Assigned To => Orekaria
2014-06-05 11:40 Orekaria Note Added: 0067778
2014-06-05 11:40 Orekaria Status resolved => closed
2014-06-05 11:40 Orekaria Fixed in Version => RR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker